package com.chinaweal.aiccs.aiccs.claim.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaweal.aiccs.aiccs.claim.entity.TSEntBase;
import com.chinaweal.aiccs.aiccs.claim.service.TSEntBaseService;
import com.chinaweal.aiccs.aiccs.claim.mapper.TSEntBaseMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * description
 * Created by xiaot on 2017/5/11 16:21.
 */
@Service
public class TSEntBaseServiceImpl implements TSEntBaseService {

    @Resource
    private TSEntBaseMapper tsentbaseDao;

    @Override
    public IPage<TSEntBase> findTsentbaseListByPage(IPage<TSEntBase> pagingCriteria, TSEntBase tsentbaseModel) {
        return tsentbaseDao.findTsentbaseListByPage(pagingCriteria, tsentbaseModel);
    }

    @Override
    public List<TSEntBase> findTsentbaseList(TSEntBase tsentbaseModel) {
        return tsentbaseDao.findTsentbaseList(tsentbaseModel);
    }

    @Override
    public TSEntBase findTsentbaseByID(String pripID) {
        return tsentbaseDao.findTsentbaseByID(pripID);
    }

}
